package jp.mosp.common.dto;

/**
 * 出勤簿、予定簿各DTOの共通インターフェース
 * @author yoshida
 * 	@version	0.0.1
 */
public interface KintaiCommonDtoInterface {

	/**
	 * 社員コード取得
	 * @return	社員コード
	 */
	public String 	getKCode();

	/**
	 * 日付取得
	 * @return	日付
	 */
	public String 	getHizuke();

	/**
	 * 年取得
	 * @return	年
	 */
	public int 	getNen();

	/**
	 * 月取得
	 * @return	月
	 */
	public int 	getTuki();

	/**
	 * 日
	 * @return	日
	 */
	public int 	getHi();

	/**
	 * 所属コード
	 * @return	所属コード
	 */
	public String 	getSyozoku();

	/**
	 * 認証者
	 * @return	認証者
	 */
	public String 	getNinsyo();

	/**
	 * 出勤時刻
	 * @return	出勤時刻
	 */
	public String 	getSyJikoku();

	/**
	 * 勤務形態
	 * @return	勤務形態
	 */
	public String 	getKinmu();

	/**
	 * 半休区分
	 * @return	半休区分
	 */
	public String 	getSHankyuKb();

	/**
	 * 休出区分
	 * @return	休出区分
	 */
	public String 	getKyusyuKb();

	/**
	 * 遅刻理由
	 * @return	遅刻理由
	 */
	public String 	getTiRiyuu();

	/**
	 * 遅刻コメント
	 * @return	遅刻コメント
	 */
	public String 	getTiComent();

	/**
	 * 遅刻証明書
	 * @return	遅刻証明書
	 */
	public String 	getTiSyoumei();

	/**
	 * 遅刻時間
	 * @return	遅刻時間
	 */
	public int 	getTiJikan();

	/**
	 * 出勤入力日時
	 * @return	出勤入力日時
	 */
	public String 	getSyTimes();

	/**
	 * 退社時刻
	 * @return	退社時刻
	 */
	public String 	getTaJikoku();

	/**
	 * 勤務時間
	 * @return	勤務時間
	 */
	public int 	getKinmuJi();

	/**
	 * 休憩時間
	 * @return	休憩時間
	 */
	public int 	getKyukeiJi();

	/**
	 * 半休区分
	 * @return	半休区分
	 */
	public String 	getTHankyuKb();

	/**
	 * 早退理由
	 * @return	早退理由
	 */
	public String 	getSoRiyuu();

	/**
	 * 早退コメント
	 * @return	早退コメント
	 */
	public String 	getSoComent();

	/**
	 * 早退証明書
	 * @return	早退証明書
	 */
	public String 	getSoSyoumei();

	/**
	 * 早退時間
	 * @return	早退時間
	 */
	public int 	getSoJikan();

	/**
	 * 残業時間
	 * @return	残業時間
	 */
	public int 	getZaJikan();

	/**
	 * 休出時間
	 * @return	休出時間
	 */
	public int 	getKsJikan();

	/**
	 * 深夜時間
	 * @return	深夜時間
	 */
	public int 	getSnJikan();

	/**
	 * 食事手当支給
	 * @return	食事手当支給
	 */
	public int 	getSyokuji();

	/**
	 * 1直手当支給
	 * @return	1直手当支給
	 */
	public int 	getCyoku1();

	/**
	 * 2直手当支給
	 * @return	2直手当支給
	 */
	public int 	getCyoku2();

	/**
	 * 3直手当支給
	 * @return	3直手当支給
	 */
	public int 	getCyoku3();

	/**
	 * その他支給1
	 * @return	その他支給1
	 */
	public int 	getHoka1();

	/**
	 * その他支給2
	 * @return	その他支給2
	 */
	public int 	getHoka2();

	/**
	 * その他支給3
	 * @return	その他支給3
	 */
	public int 	getHoka3();

	/**
	 * その他支給4
	 * @return	その他支給4
	 */
	public int 	getHoka4();

	/**
	 * その他支給5
	 * @return	その他支給5
	 */
	public int 	getHoka5();

	/**
	 * 退社入力日時
	 * @return	退社入力日時
	 */
	public String 	getTaTimes();

	/**
	 * 休暇理由
	 * @return	休暇理由
	 */
	public String 	getKKRiyuu();

	/**
	 * 代休充当日
	 * @return	代休充当日
	 */
	public String 	getDaiKyuJyu();

	/**
	 * 休暇コメント
	 * @return	休暇コメント
	 */
	public String 	getKKComent();

	/**
	 * 休暇証明書
	 * @return	休暇証明書
	 */
	public String 	getKKSyoumei();

	/**
	 * 休暇時間
	 * @return	休暇時間
	 */
	public int 	getKKJikan();

	/**
	 * 休暇入力日時
	 * @return	休暇入力日時
	 */
	public String 	getKKTimes();

	/**
	 * 承認理由
	 * @return	承認理由
	 */
	public String 	getSnRiyuu();

	/**
	 * 承認コメント
	 * @return	承認コメント
	 */
	public String 	getSnComent();

	/**
	 * 承認入力日時
	 * @return		承認入力日時
	 */
	public String 	getSnTimes();

	/**
	 * 更新日時
	 * @return	更新日時
	 */
	public String 	getUpdtTimes();

	/**
	 * 二時間年休
	 * @return	二時間年休
	 */
	public int 	getNijiKyu();

	/**
	 * 1.00割増時間
	 * @return	1.00割増時間
	 */
	public int 	getWarimasi1();

	/**
	 * 前回勤務形態
	 * @return	前回勤務形態
	 */
	public String 	getZKinmu();

	/**
	 * 社員コード
	 * @param kCode		社員コード
	 */
	public void setKCode 		(String kCode);

	/**
	 * 日付
	 * @param hizuke	日付
	 */
	public void setHizuke 		(String hizuke);

	/**
	 * 年
	 * @param nen		年
	 */
	public void setNen 		(int 	nen);

	/**
	 * 月
	 * @param tuki		月
	 */
	public void setTuki 		(int 	tuki);

	/**
	 * 日
	 * @param hi		日
	 */
	public void setHi 			(int 	hi);

	/**
	 * 所属コード
	 * @param syozoku	所属コード
	 */
	public void setSyozoku 	(String syozoku);

	/**
	 * 認証者
	 * @param ninsyo	認証者
	 */
	public void setNinsyo 		(String ninsyo);

	/**
	 * 出勤時刻
	 * @param syJikoku	出勤時刻
	 */
	public void setSyJikoku 	(String syJikoku);

	/**
	 * 勤務形態
	 * @param kinmu		勤務形態
	 */
	public void setKinmu 		(String kinmu);

	/**
	 * 半休区分
	 * @param sHankyuKb		半休区分
	 */
	public void setSHankyuKb 	(String sHankyuKb);

	/**
	 * 休出区分
	 * @param kyusyuKb		休出区分
	 */
	public void setKyusyuKb 	(String kyusyuKb);

	/**
	 * 遅刻理由
	 * @param tiRiyuu		遅刻理由
	 */
	public void setTiRiyuu 	(String tiRiyuu);

	/**
	 * 遅刻コメント
	 * @param tiComent		遅刻コメント
	 */
	public void setTiComent 	(String tiComent);

	/**
	 * 遅刻証明書
	 * @param tiSyoumei		遅刻証明書
	 */
	public void setTiSyoumei 	(String tiSyoumei);

	/**
	 * 遅刻時間
	 * @param tiJikan		遅刻時間
	 */
	public void setTiJikan 	(int 	tiJikan);

	/**
	 * 出勤入力日時
	 * @param syTimes		出勤入力日時
	 */
	public void setSyTimes 	(String syTimes);

	/**
	 * 退社時刻
	 * @param taJikoku		退社時刻
	 */
	public void setTaJikoku 	(String taJikoku);

	/**
	 * 勤務時間
	 * @param kinmuJi		勤務時間
	 */
	public void setKinmuJi 	(int 	kinmuJi);

	/**
	 * 休憩時間
	 * @param kyukeiJi		休憩時間
	 */
	public void setKyukeiJi 	(int 	kyukeiJi);

	/**
	 * 半休区分
	 * @param tHankyuKb		半休区分
	 */
	public void setTHankyuKb 	(String tHankyuKb);

	/**
	 * 早退理由
	 * @param soRiyuu		早退理由
	 */
	public void setSoRiyuu 	(String soRiyuu);

	/**
	 * 早退コメント
	 * @param soComent		早退コメント
	 */
	public void setSoComent 	(String soComent);

	/**
	 * 早退証明書
	 * @param soSyoumei		早退証明書
	 */
	public void setSoSyoumei 	(String soSyoumei);

	/**
	 * 早退時間
	 * @param soJikan		早退時間
	 */
	public void setSoJikan 	(int 	soJikan);

	/**
	 * 残業時間
	 * @param zaJikan		残業時間
	 */
	public void setZaJikan 	(int 	zaJikan);

	/**
	 * 休出時間
	 * @param ksJikan		休出時間
	 */
	public void setKsJikan 	(int 	ksJikan);

	/**
	 * 深夜時間
	 * @param snJikan		深夜時間
	 */
	public void setSnJikan 	(int 	snJikan);

	/**
	 * 食事手当支給
	 * @param syokuji		食事手当支給
	 */
	public void setSyokuji 	(int 	syokuji);

	/**
	 * 1直手当支給
	 * @param cyoku1		1直手当支給
	 */
	public void setCyoku1 		(int 	cyoku1);

	/**
	 * 2直手当支給
	 * @param cyoku2		2直手当支給
	 */
	public void setCyoku2 		(int 	cyoku2);

	/**
	 * 3直手当支給
	 * @param cyoku3		3直手当支給
	 */
	public void setCyoku3 		(int 	cyoku3);

	/**
	 * その他支給1
	 * @param hoka1		その他支給1
	 */
	public void setHoka1 		(int 	hoka1);

	/**
	 * その他支給2
	 * @param hoka2		その他支給2
	 */
	public void setHoka2 		(int 	hoka2);

	/**
	 * その他支給3
	 * @param hoka3		その他支給3
	 */
	public void setHoka3 		(int 	hoka3);

	/**
	 * その他支給4
	 * @param hoka4		その他支給4
	 */
	public void setHoka4 		(int 	hoka4);

	/**
	 * その他支給5
	 * @param hoka5		その他支給5
	 */
	public void setHoka5 		(int 	hoka5);

	/**
	 * 退社入力日時
	 * @param taTimes	退社入力日時
	 */
	public void setTaTimes 	(String taTimes);

	/**
	 * 休暇理由
	 * @param kKRiyuu	休暇理由
	 */
	public void setKKRiyuu 	(String kKRiyuu);

	/**
	 * 代休充当日
	 * @param daiKyuJyu		代休充当日
	 */
	public void setDaiKyuJyu 	(String daiKyuJyu);

	/**
	 * 休暇コメント
	 * @param kKComent		休暇コメント
	 */
	public void setKKComent 	(String kKComent);

	/**
	 * 休暇証明書
	 * @param kKSyoumei		休暇証明書
	 */
	public void setKKSyoumei 	(String kKSyoumei);

	/**
	 * 休暇時間
	 * @param kKJikan		休暇時間
	 */
	public void setKKJikan 	(int 	kKJikan);

	/**
	 * 休暇入力日時
	 * @param kKTimes		休暇入力日時
	 */
	public void setKKTimes 	(String kKTimes);

	/**
	 * 承認理由
	 * @param snRiyuu		承認理由
	 */
	public void setSnRiyuu 	(String snRiyuu);

	/**
	 * 承認コメント
	 * @param snComent		承認コメント
	 */
	public void setSnComent 	(String snComent);

	/**
	 * 承認入力日時
	 * @param snTimes		承認入力日時
	 */
	public void setSnTimes 	(String snTimes);

	/**
	 * 更新日時
	 * @param updtTimes		更新日時
	 */
	public void setUpdtTimes 	(String updtTimes);

	/**
	 * 二時間年休
	 * @param nijiKyu		二時間年休
	 */
	public void setNijiKyu		(int 	nijiKyu);

	/**
	 * 1.00割増時間
	 * @param warimasi1		1.00割増時間
	 */
	public void setWarimasi1 	(int 	warimasi1);

	/**
	 * 前回勤務形態
	 * @param zkinmu		前回勤務形態
	 */
	public void setZKinmu 		(String zkinmu);

}
